MLAPI API Reference

# NetworkPoolManager
CreatePool Method

[This is preliminary documentation and is subject to change.]

Creates a networked object pool. Can only be called from the server

Namespace: MLAPI.NetworkingManagerComponents.Core
Assembly: MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    public static void CreatePool(
    	string poolName,
    	int spawnablePrefabIndex,
    	uint size = 16
    )

Request Example
View Source

#### Parameters

poolName
  Type: System
  String
  Name of the pool
spawnablePrefabIndex
  Type: System
  Int32
  The index of the prefab to use in the spawnablePrefabs array
size (Optional)
  Type: System
  UInt32
  The amount of objects in the pool

See Also

#### Reference

NetworkPoolManager Class
MLAPI.NetworkingManagerComponents.Core Namespace